Subject: Re: bug#15945: chown: Does now allow setting user and users login group with numerical user ID

From: Tormen <[email-masked]>
Date: Fri, 22 Nov 2013 01:06:06 +0100

Thanks a lot for explaining!!

On 21/11/13 21:53, Eric Blake wrote:
>>> Right, but in that case, the error message should make sense.  Rather
>>> than being a blanket "invalid spec: `1001:'" it should say something
>>> like "unable to determine default group for user `1001'"
>>>
>> So in no case there should be a mapping problem when using numerical IDs
>> for users/groups.
>> Only when called with names.
> Not true - we still have two potential lookup problems.  One is that
> that there may be NO name associated with ID (ls -l just falls back to
> listing id, but in the chmod case, we can't do a default login group
> lookup if we don't have a name).
Yes of course for the login group lookup needs the name! - Dough.
> Either way, my point remains - we should have a saner error message if
> we are unable to determine a default login group for a given user
> identification, rather than just declaring the entire '1001:' an invalid
> spec.
+1 for the nice error message :)